#version 120

#define PI 3.14159265

uniform sampler2D velocity;
uniform float maxMag;
uniform float size;

void main()
{
	gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;	
	gl_TexCoord[0] = gl_MultiTexCoord0;	

	vec4 texC = texture2D(velocity, gl_MultiTexCoord0.xy);
	
	float l = length(texC.xy-0.5f);
	gl_PointSize = l*size;

	vec2 r = normalize(texC.xy-0.5f);

	float sinus = r.y;
	float cosinus = r.x;

	//if(r.y<0)
		//sinus = sin(asin(r.y) - 2*PI);

	gl_TexCoord[3] = vec4(cosinus, -sinus, sinus, cosinus);
	gl_TexCoord[4] = vec4(l/maxMag, 0f, 0f, 0f);
}