#version 120

uniform sampler2D velocity;
uniform sampler2D otherFbo;
uniform vec2 spacing;

const float step = 0.1f;

vec2 euler(vec2 pos) {	
	/*vec4 texC = texture2D(velocity, pos);	
	vec2 v = normalize(texC.xy-0.5f);
	return pos + step*v;*/
	return pos + step*texture2D(velocity, pos).xy;
}

void main()
{
	vec2 curFboPos = gl_TexCoord[1].xy;
	vec2 oldtexCoord = vec2(curFboPos.x-spacing.x, curFboPos.y);
	vec2 oldPos = texture2D(otherFbo, oldtexCoord).xy;

	vec2 newPos = euler(oldPos);

	gl_FragColor = vec4(newPos, 0.0, 1.0);
	//gl_FragColor = texture2D(velocity, oldPos);
}